Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.configuration
Interface Configurator

All Known Implementing Classes:
  PropertyFileConfigurator

    public interface Configurator

Field Summary
`static String` | `DATA_API_PACKAGE`
`static String` | `DATA_API_PATH_PROPERTY_KEY`
`static String` | `DATABASE_LOCATION_PROPERTY_KEY`
`static String` | `DB_MODE_KEY`
`static String` | `DB_TUNING_PROPERTY_FILE_KEY`
`static String` | `DEFAULT_CONFIG_DIR`
`static String` | `DEFAULT_DATA_API_PATH`
`static String` | `DEFAULT_MANAGEMENT_API_PATH`
`static String` | `DEFAULT_WEB_ADMIN_PATH`
`static String` | `DEFAULT_WEB_ADMIN_STATIC_WEB_CONTENT_LOCATION`
`static int` | `DEFAULT_WEBSERVER_PORT`
`static String` | `ENABLE_OSGI_SERVER_PROPERTY_KEY`
`static String` | `MANAGEMENT_API_PACKAGE`
`static String` | `MANAGEMENT_PATH_PROPERTY_KEY`
`static String` | `NEO_SERVER_CONFIG_FILE_KEY`
`static String` | `OSGI_BUNDLE_DIR_PROPERTY_KEY`
`static String` | `OSGI_CACHE_DIR_PROPERTY_KEY`
`static String` | `ROOT_DISCOVERY_REST_API_PACKAGE`
`static String` | `RRDB_LOCATION_PROPERTY_KEY`
`static String` | `THIRD_PARTY_PACKAGES_KEY`
`static String` | `WEBSERVER_PORT_PROPERTY_KEY`

Method Summary
`org.apache.commons.configuration.Configuration` | `configuration()`
`Map<String,String>` | `getDatabaseTuningProperties()`
`Set<ThirdPartyJaxRsPackage>` | `getThirdpartyJaxRsClasses()`

Field Detail

### DB_TUNING_PROPERTY_FILE_KEY

    static final String DB_TUNING_PROPERTY_FILE_KEY

See Also:
  Constant Field Values

### DEFAULT_CONFIG_DIR

    static final String DEFAULT_CONFIG_DIR

### DATABASE_LOCATION_PROPERTY_KEY

    static final String DATABASE_LOCATION_PROPERTY_KEY

See Also:
  Constant Field Values

### NEO_SERVER_CONFIG_FILE_KEY

    static final String NEO_SERVER_CONFIG_FILE_KEY

See Also:
  Constant Field Values

### DB_MODE_KEY

    static final String DB_MODE_KEY

See Also:
  Constant Field Values

### DEFAULT_WEBSERVER_PORT

    static final int DEFAULT_WEBSERVER_PORT

See Also:
  Constant Field Values

### WEBSERVER_PORT_PROPERTY_KEY

    static final String WEBSERVER_PORT_PROPERTY_KEY

See Also:
  Constant Field Values

### DATA_API_PATH_PROPERTY_KEY

    static final String DATA_API_PATH_PROPERTY_KEY

See Also:
  Constant Field Values

### DATA_API_PACKAGE

    static final String DATA_API_PACKAGE

See Also:
  Constant Field Values

### DEFAULT_DATA_API_PATH

    static final String DEFAULT_DATA_API_PATH

See Also:
  Constant Field Values

### ENABLE_OSGI_SERVER_PROPERTY_KEY

    static final String ENABLE_OSGI_SERVER_PROPERTY_KEY

See Also:
  Constant Field Values

### OSGI_BUNDLE_DIR_PROPERTY_KEY

    static final String OSGI_BUNDLE_DIR_PROPERTY_KEY

See Also:
  Constant Field Values

### OSGI_CACHE_DIR_PROPERTY_KEY

    static final String OSGI_CACHE_DIR_PROPERTY_KEY

See Also:
  Constant Field Values

### ROOT_DISCOVERY_REST_API_PACKAGE

    static final String ROOT_DISCOVERY_REST_API_PACKAGE

See Also:
  Constant Field Values

### MANAGEMENT_API_PACKAGE

    static final String MANAGEMENT_API_PACKAGE

See Also:
  Constant Field Values

### MANAGEMENT_PATH_PROPERTY_KEY

    static final String MANAGEMENT_PATH_PROPERTY_KEY

See Also:
  Constant Field Values

### DEFAULT_MANAGEMENT_API_PATH

    static final String DEFAULT_MANAGEMENT_API_PATH

See Also:
  Constant Field Values

### DEFAULT_WEB_ADMIN_PATH

    static final String DEFAULT_WEB_ADMIN_PATH

See Also:
  Constant Field Values

### DEFAULT_WEB_ADMIN_STATIC_WEB_CONTENT_LOCATION

    static final String DEFAULT_WEB_ADMIN_STATIC_WEB_CONTENT_LOCATION

See Also:
  Constant Field Values

### RRDB_LOCATION_PROPERTY_KEY

    static final String RRDB_LOCATION_PROPERTY_KEY

See Also:
  Constant Field Values

### THIRD_PARTY_PACKAGES_KEY

    static final String THIRD_PARTY_PACKAGES_KEY

See Also:
  Constant Field Values

Method Detail

### configuration

    org.apache.commons.configuration.Configuration configuration()

### getDatabaseTuningProperties

    Map<String,String> getDatabaseTuningProperties()

### getThirdpartyJaxRsClasses

    Set<ThirdPartyJaxRsPackage> getThirdpartyJaxRsClasses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.